> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PSN

> Gets information of the PSN addon on a title, omits secrets.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidEntityType | 1373 |
| InvalidParams | 1000 |
| InvalidTitleId | 1004 |




## OpenAPI

````yaml /services/playfab/api-references/rest/addons/addons.openapi.json post /Addon/GetPSN
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Addon API
  description: APIs for managing addons.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Addon
    description: Addon APIs
paths:
  /Addon/GetPSN:
    post:
      tags:
        - Addon
      summary: Get PSN
      description: |
        Gets information of the PSN addon on a title, omits secrets.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InvalidEntityType | 1373 |
        | InvalidParams | 1000 |
        | InvalidTitleId | 1004 |
      operationId: GetPSN
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPSNRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetPSNResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetPSNRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
      example: {}
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    GetPSNResponse:
      type: object
      properties:
        ClientID:
          description: >-
            Client ID obtained after setting up your game with Sony. This one is
            associated with the existing PS4 marketplace.
          type: string
        Created:
          description: Addon status.
          type: boolean
        NextGenClientID:
          description: >-
            Client ID obtained after setting up your game with Sony. This one is
            associated with the modern marketplace, which includes PS5,
            cross-generation for PS4, and unified entitlements.
          type: string
      required:
        - Created
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetPSNResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPSNResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get PSN](/services/playfab/api-references/rest/addons/addon/get-psn.md)
- [Get Play Fab IDs From PSN Account IDs](/api-reference/account-management/get-play-fab-ids-from-psn-account-ids.md)
- [Get Play Fab IDs From PSN Online IDs](/api-reference/account-management/get-play-fab-ids-from-psn-online-ids.md)
- [Get PlayFab IDs From PSN Account IDs](/services/playfab/api-references/rest/server/account-management/get-playfab-ids-from-psn-account-ids.md)
- [Get PlayFab IDs From PSN Online IDs](/services/playfab/api-references/rest/server/account-management/get-playfab-ids-from-psn-online-ids.md)
